Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
[Java] Class BuildAdapter

    java.lang.Object
      org.gradle.BuildAdapter

All Implemented Interfaces:
  BuildListener

    public class BuildAdapter

A BuildListener adapter class for receiving build events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Method Summary
`void` | `buildFinished(BuildResult result)`
`void` | `buildStarted(Gradle gradle)`
`void` | `projectsEvaluated(Gradle gradle)`
`void` | `projectsLoaded(Gradle gradle)`
`void` | `settingsEvaluated(Settings settings)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### buildFinished

    public void buildFinished(BuildResult result)

### buildStarted

    public void buildStarted(Gradle gradle)

### projectsEvaluated

    public void projectsEvaluated(Gradle gradle)

### projectsLoaded

    public void projectsLoaded(Gradle gradle)

### settingsEvaluated

    public void settingsEvaluated(Settings settings)

Gradle API 1.10